/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Defines a custom exception which is thrown if any error occurs when processing a file by a
 * <code>FileProcessor</code> instance, except for I/O errors. It may encapsulate the original cause of exception.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class FileProcessingException extends FileStatisticsException {
    /**
     * <p>
     * Creates a new instance of <code>FileProcessingException</code> class with a detail error message.
     * </p>
     *
     * @param message a detail error message describing the error.
     */
    public FileProcessingException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates a new instance of <code>FileProcessingException</code> class with a detail error message and the
     * original exception causing the error.
     * </p>
     *
     * @param message a detail error message describing the error.
     * @param cause an exception representing the cause of the error.
     */
    public FileProcessingException(String message, Throwable cause) {
        super(message, cause);
    }
}



