/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Defines a custom exception which is thrown by this component. This is the base checked exception of this
 * component. All other custom exceptions are extended from this base exception. All methods in this component
 * should throw this checked exception except when I/O error occurs.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class FileStatisticsException extends Exception {
    /**
     * <p>
     * Creates a new instance of <code>FileStatisticsException</code> class with a detail error message.
     * </p>
     *
     * @param message a detail error message describing the error.
     */
    public FileStatisticsException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates a new instance of <code>FileStatisticsException</code> class with a detail error message and the
     * original exception causing the error.
     * </p>
     *
     * @param message a detail error message describing the error.
     * @param cause an exception representing the cause of the error.
     */
    public FileStatisticsException(String message, Throwable cause) {
        super(message, cause);
    }
}



