/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Defines a custom exception which is thrown if any error occurs when aggregating the statistics or generating the
 * statistic report by a <code>StatsReporting</code> instance. It may encapsulate the original cause of exception.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class StatsReportingException extends FileStatisticsException {
    /**
     * <p>
     * Creates a new instance of <code>StatsReportingException</code> class with a detail error message.
     * </p>
     *
     * @param message a detail error message describing the error.
     */
    public StatsReportingException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates a new instance of <code>StatsReportingException</code> class with a detail error message and the
     * original exception causing the error.
     * </p>
     *
     * @param message a detail error message describing the error.
     * @param cause an exception representing the cause of the error.
     */
    public StatsReportingException(String message, Throwable cause) {
        super(message, cause);
    }
}



