/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics.matcher;

import com.topcoder.file.statistics.FileMatchingException;
import com.topcoder.file.type.FileType;


/**
 * <p>
 * Defines a mock concrete implementation of <code>FileTypeMatcher</code> class. The argument passed in
 * <code>match</code> method is stored. It can be retrieved for testing purposes.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class MockFileTypeMatcher extends FileTypeMatcher {
    /** Represents the argument passed in the <code>match</code> method. */
    private FileType argument = null;

    /**
     * <p>
     * Creates a new instance of <code>MockFileTypeMatcher</code> class.
     * </p>
     */
    public MockFileTypeMatcher() {
    }

    /**
     * <p>
     * Gets the argument passed in the <code>match</code> method.
     * </p>
     *
     * @return the argument passed in the <code>match</code> method.
     */
    public FileType getMatchArgument() {
        return argument;
    }

    /**
     * <p>
     * Defines a mock implementation of <code>FileTypeMatcher</code> class.
     * </p>
     *
     * @param type the value of this argument is stored.
     *
     * @return <code>false</code>.
     *
     * @throws FileMatchingException if the given file type name is 'Java class file'.
     */
    protected boolean match(FileType type) throws FileMatchingException {
        argument = type;

        if (type.getName().equals("Java class file")) {
            throw new FileMatchingException("error");
        }

        return false;
    }
}



